Bug 1120682 - Rebase of fence agents
Summary: Rebase of fence agents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 12:32 UTC by Marek Grac
Modified: 2015-03-05 09:07 UTC (History)
4 users (show)

Fixed In Version: fence-agents-4.0.11-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:07:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0393 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2015-03-05 14:00:54 UTC

Description Marek Grac 2014-07-17 12:32:42 UTC
Version in RHEL7.0 is based on 4.0.2, currently we are on 4.0.10; rebase is target to 4.0.11/12

* a lot of code clean-up 
* there are already 36 additional patches in 7.0 (in order to not do rebase after deadline but fix all bugs)
* fence_scsi/fence_ipmi are ported to fencing library
* improved testing utilities

Comment 1 Marek Grac 2014-07-17 12:34:29 UTC
Also add fence agent fence_zvm for s390

Comment 2 Marek Grac 2014-09-03 11:29:45 UTC
Rebased to fence-agents-4.0.11 
* added options --ssl-secure and ssl-insecure which were not in upstream
* fence_scsi_check.pl is not a python script what is misleading but it is required for backward compatibility

Comment 6 errata-xmlrpc 2015-03-05 09:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0393.html


Note You need to log in before you can comment on or make changes to this bug.